/**
 * @license
 * Copyright 2023 Tyler Technologies, Inc. 
 * License: Apache-2.0
 */
import { BaseAdapter, IBaseAdapter } from '../core/base/base-adapter';
import { IProductIconComponent } from './product-icon';
export interface IProductIconAdapter extends IBaseAdapter {
    setBackgroundColor(color: string): void;
    setIconColor(color: string): void;
    setElementSize(value: number): void;
    setFontSize(value: number): void;
    setTextShadow(hasShadow: boolean, iterations: number, shadowColor: string): void;
    removeIconClass(classes: string | string[]): void;
}
export declare class ProductIconAdapter extends BaseAdapter<IProductIconComponent> implements IProductIconAdapter {
    private _backgroundElement;
    private _iconElement;
    private _textElement;
    constructor(component: IProductIconComponent);
    setBackgroundColor(color: string): void;
    setIconColor(color: string): void;
    setElementSize(value: number): void;
    setFontSize(value: number): void;
    removeIconClass(classes: string | string[]): void;
    setTextShadow(hasShadow: boolean, iterations: number, shadowColor: string): void;
}
